﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Dialog.Master" CodeBehind="InvitationText.aspx.cs" Inherits="CheckboxWeb.Settings.InvitationText" %>
<%@ Import Namespace="Checkbox.Web" %>
<%@ MasterType VirtualPath="~/Dialog.Master" %>
<%@ Register src="~/Controls/Piping/PipeControl.ascx" tagname="PipeSelector" tagprefix="pipe" %>

<asp:Content ID="_head" runat="server" ContentPlaceHolderID="_headContent">
    <script type="text/javascript">
        $(document).ready(function () {
            if (typeof (serviceHelper) != 'undefined') {
                serviceHelper.initialize('<%=ResolveUrl("~/Services/") %>');
            }
            $("#accordion").accordion({ icons: false, active: false });           

            $('.editor').tinymce({
                // Location of TinyMCE script
                script_url: '<%=ResolveUrl("~/Resources/tiny_mce/tiny_mce.js") %>',
                height: 325,
                relative_urls: false,
                remove_script_host: false,

                // General options
                theme: 'advanced',
                plugins: 'style,pagebreak,table,save,advhr,advimage,advlink,emotions,inlinepopups,preview,media,upload,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,advlist',
                extended_valid_elements: 'iframe[src|width|height|name|align|frameborder|allowfullscreen],script[src,type,language]',

                // Theme options
                theme_advanced_buttons1: 'bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,formatselect,fontselect,fontsizeselect,|,cut,copy,paste,pastetext,pasteword,|,search,replace',
                theme_advanced_buttons2: 'bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,help,code,|,preview,|,forecolor,backcolor,|,hr,removeformat,visualaid,|,charmap,emotions,media,advhr',
                theme_advanced_buttons3: 'tablecontrols,|,sub,sup,|,print,|,ltr,rtl,|,visualchars,nonbreaking,|,upload,|,styleprops,|,fullscreen',
                theme_advanced_toolbar_location: 'top',
                theme_advanced_toolbar_align: 'left',
                theme_advanced_statusbar_location: 'bottom',
                theme_advanced_resizing: true,

                // Drop lists for link/image/media/template dialogs
                //template_external_list_url: 'lists/template_list.js',
                external_link_list_url: '<%=ResolveUrl("~/ContentList.aspx?contentType=documents")%>',
                external_image_list_url: '<%=ResolveUrl("~/ContentList.aspx?contentType=images")%>',
                media_external_list_url: '<%=ResolveUrl("~/ContentList.aspx?contentType=video")%>',

                // Replace values for the template plugin
                template_replace_values: {
                    username: '<%=HttpContext.Current.User.Identity.Name %>'
                },

                //Cause contents to be written back to base textbox on change
                onchange_callback: function (ed) { ed.save(); },
                gecko_spellcheck: true
            });
        });

        //
        function onHtmlClick(editorClientID, tabParentID) {
            $('#' + editorClientID).tinymce().show();
            $('#' + editorClientID).attr('tinyMCE', 'true');

            $('#' + tabParentID).children().removeClass('current');
            $('#' + tabParentID + '  > li:first').addClass('current');
        }

        //
        function onTextClick(editorClientID, tabParentID) {
            $('#' + editorClientID).tinymce().hide();
            $('#' + editorClientID).removeAttr('tinyMCE');

            $('#' + tabParentID).children().removeClass('current');
            $('#' + tabParentID + '  > li:last').addClass('current');
        }
    </script>  
</asp:Content>

<asp:Content ID="settingContent" ContentPlaceHolderID="_pageContent" runat="server" uframeignore="true">
    <asp:Panel id="_multiLanguageNotAllowedWarningPanel" runat="server" CssClass="warning message" Visible="false">
        <ckbx:MultiLanguageLabel ID="_multiLanguageNotAllowedWarning" runat="server" TextId="/pageText/settings/welcomeText.aspx/multiLanguageNotAllowed" Text="MultiLanguage support is not allowed by your license."/><br />
    </asp:Panel>

    <h3><%= WebTextManager.GetText("/pageText/settings/navigation.ascx/invitationText")%></h3>

    <div class="dashStatsWrapper border999 shadow999">
        <div class="dashStatsHeader">
            <span class="mainStats left"><%= WebTextManager.GetText("/pageText/settings/invitationText.aspx/editLanguage")%></span>
        </div>
        <div class="dashStatsContent allMenu">
            <div class="fixed_125 left input"><ckbx:MultiLanguageLabel ID="MultiLanguageLabel1" runat="server" TextId="/pageText/settings/invitationText.aspx/editLanguage" /></div>
            <div class="left input">
                <asp:DropDownList ID="_miscTextLanguageList" runat="server" AutoPostBack="true" />
            </div>
            <br class="clear" />
        </div>
    </div> 

    <div class="dashStatsWrapper border999 shadow999" style="height:466px; margin-bottom:40px;">
        <div class="dashStatsHeader">
            <span class="mainStats left"><%= WebTextManager.GetText("/pageText/settings/navigation.ascx/invitationText")%></span>
        </div>
        <div id="accordion">            
            <h5 style="padding:5px;font-weight:bold;">
                <%= WebTextManager.GetText("/pageText/settings/invitationText.aspx/invitationMessage/htmlMessage")%>
            </h5>
            <div style="padding:5px;border-style:solid;border-color:Gray;margin-bottom:5px;">
                <asp:TextBox ID="_invitationHtmlMessage" CssClass="editor" runat="server" Rows="15" Columns="80" TextMode="MultiLine" tinyMCE="true" style="width:645px;height:320px" uframeignore="true" />
                <div class="clear"></div>
                <div id="htmlPipeConteiner" class="right" style="margin-right:10px;" >
                    <pipe:PipeSelector ID="_htmlPipeSelector" runat="server" CausesValidation="false" uframeignore="true" />
                </div>
            </div>

            <h5 style="padding:5px;font-weight:bold;">
                <%= WebTextManager.GetText("/pageText/settings/invitationText.aspx/invitationMessage/textMessage")%>
            </h5>
            <div style="padding:5px;border-style:solid;border-color:Gray;margin-bottom:5px;">
                <asp:TextBox ID="_invitationTextMessage" runat="server" Rows="15" Columns="80" TextMode="MultiLine" style="width:645px;height:320px" uframeignore="true" />
                <div class="clear"></div>
                <div id="textPipeContainer" class="right" style="margin-right:10px;" >
                    <pipe:PipeSelector ID="_textPipeSelector" runat="server" CausesValidation="false" uframeignore="true" />
                </div>
            </div>
        </div>    
    </div>
    <div class="dialogFormPush">&nbsp;</div>
</asp:Content>